#version 3.1;

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 0.5, -4.0>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0,  0.0>
}


light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate < 0, 3, -5>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}} // make floor

sphere  // something to map the bitmap to 
{ 
  0.0, 1 
  texture 
  {
//   pigment {color red 1} // activate this to see the entire sphere
   pigment 
   {
     image_map
     {
       tga "trans.tga"
       once
     }
   }
   translate -0.5 * x
  }
}

cylinder // another object showing the shadow
{
  -3*x,  3*x,  0.1
  pigment {color blue 1}
}


